Bug 1717617 - Telemetry should include the condition reason on degraded operators
Summary: Telemetry should include the condition reason on degraded operators
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.2.0
Assignee: Abhinav Dahiya
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1741062
TreeView+ depends on / blocked
 
Reported: 2019-06-05 19:54 UTC by Clayton Coleman
Modified: 2019-10-16 06:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:31:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
all 4.1 ClusterOperator info (35.65 KB, text/plain)
2019-07-03 05:34 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 197 0 None closed Bug 1717619: metrics: Report reason as a label on the conditions metric 2020-07-24 16:56:45 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:31:47 UTC

Description Clayton Coleman 2019-06-05 19:54:55 UTC
While assessing 4.1.0 GA degraded operators Adam suggested capturing the reason (which has bounded cardinality) on the telemetry metric for cluster_operator_conditions, which would

1. incentivize teams to add good reasons
2. allow a quick summarization of why the operator is degraded

Added in https://github.com/openshift/cluster-version-operator/pull/197, should be back ported to 4.1.1

Comment 2 Junqi Zhao 2019-07-03 05:34:40 UTC
Created attachment 1586914 [details]
all 4.1 ClusterOperator info

Comment 6 W. Trevor King 2019-08-15 18:38:50 UTC
Bug 1717619 is about 4.1.z.  This bug and https://github.com/openshift/cluster-version-operator/pull/197 is about 4.2.0.  I'm fixing the target release and pushing back to ON_QA to get double-checking on a 4.2 nightly.

Comment 10 errata-xmlrpc 2019-10-16 06:31:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.